%global with_python3 1

%if 0%{?rhel} && 0%{?rhel} <= 7
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python2_version: %global python2_version %{python_version}}

%global with_python3 0
%endif

%global pypi_name releases

Name:		python-%{pypi_name}
Version:	0.6.1
Release:	1%{?dist}
Summary:	A Sphinx extension for changelog manipulation
Group:		Development/Libraries

License:	BSD
URL:		https://github.com/bitprophet/releases
Source0:	https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
 
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

Requires:	python-sphinx

%description
Releases is a Sphinx extension designed to help you keep a source control
friendly, merge friendly changelog file & turn it into useful, human readable
HTML output.

Specifically:

* The source format (kept in your Sphinx tree as changelog.rst) is a stream-like
timeline that plays well with source control & only requires one entry per
change (even for changes that exist in multiple release lines).
* The output (when you have the extension installed and run your Sphinx build
command) is a traditional looking changelog page with a section for every
release; multi-release issues are copied automatically into each release.
* By default, feature and support issues are only displayed under feature
releases, and bugs are only displayed under bugfix releases. This can be
overridden on a per-issue basis.


%if 0%{?with_python3}
%package -n python3-{pypi_name}
Summary:	A Sphinx extension for changelog manipulation
Group:		Development/Libraries
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-sphinx

%description -n python3-{pypi_name}
Releases is a Sphinx extension designed to help you keep a source control
friendly, merge friendly changelog file & turn it into useful, human readable
HTML output.

Specifically:

* The source format (kept in your Sphinx tree as changelog.rst) is a stream-like
timeline that plays well with source control & only requires one entry per
change (even for changes that exist in multiple release lines).
* The output (when you have the extension installed and run your Sphinx build
command) is a traditional looking changelog page with a section for every
release; multi-release issues are copied automatically into each release.
* By default, feature and support issues are only displayed under feature
releases, and bugs are only displayed under bugfix releases. This can be
overridden on a per-issue basis.

This package contains the python3 version of this module.
%endif # with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%{__python2} setup.py build


%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --prefix=%{_prefix} --root=%{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install -O1 --skip-build --prefix=%{_prefix} --root=%{buildroot}



%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Aug 07 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.6.1-1
- Initial packaging
